package de.ivu.elect.business.mandant.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.mandant.entity.Mandant;

@GroupedConversationScoped
@ConversationGroup(AbstractMandantSearchParameters.class)
public class MandantSearchParameters extends AbstractMandantSearchParameters {
  private static final long serialVersionUID = 1L;

  private Mandant mandant;

  public Mandant getMandant() {
    if (mandant == null) {
      mandant = new Mandant();
    }
    return mandant;
  }

  @Override
  public void reset() {
    super.reset();
    mandant = null;
  }
}
